Page MenuHomePhabricator

SVG fallback images failing on chrome/safari on mac
Closed, ResolvedPublic

Description

Some pages are not displaying images in SVG mode in chrome.

I'm getting blank images in https://en.wikipedia.org/w/index.php?title=Wikipedia:Reference_desk/Mathematics

other pages seem to be displaying OK. It might a tempory problem now sorted, but leaving some problems.

I've tried math purging but that not working.

Event Timeline

SalixAlba created this task.Aug 7 2015, 9:37 PM
SalixAlba raised the priority of this task from to High.
SalixAlba updated the task description. (Show Details)
SalixAlba added a project: Math.
SalixAlba added a subscriber: SalixAlba.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 9:37 PM

Seems like it affecting new images. I I look at an existing page everything looks good. Once I start editing the page all the equations display as blank.

Looking at the page source its attempting to load URL like

https://en.wikipedia.org/w/index.php?title=Special:MathShowImage&hash=83af21a11e0e4b5161fa6c9b4d39913a&mode=mathml

Loading this in a new tab just gives
Exception encountered, of type "BadMethodCallException"

If I change the URL to

https://en.wikipedia.org/w/index.php?title=Special:MathShowImage&hash=83af21a11e0e4b5161fa6c9b4d39913a&mode=5

then it displays OK.

SalixAlba set Security to None.Aug 8 2015, 8:24 AM
SalixAlba added a subscriber: Physikerwelt.

Change 230393 had a related patch set uploaded (by Physikerwelt):
Fix: Special page ShowMathImage should read the mode as string

https://gerrit.wikimedia.org/r/230393

@SalixAlba: Thank you very much for reporting this. This was really a stupid mistake. Sorry.

Change 230393 merged by jenkins-bot:
Fix: Special page ShowMathImage should read the mode as string

https://gerrit.wikimedia.org/r/230393

This comment was removed by DavidEppstein.
Jdforrester-WMF moved this task from Incoming to Doing on the Math board.Sep 2 2015, 5:38 PM

Is this problem still prevalent?

SalixAlba closed this task as Resolved.Sep 13 2015, 6:21 PM